Skip to main content

Get Epoch

Query current reference gas price via LedgerService/GetEpoch. Returns epoch-specific gas benchmark for transaction fee calculations.

Service​

sui.rpc.v2.LedgerService

Parity​

Composite

This method is part of a composite mapping for suix_getReferenceGasPrice.

Request​

Parameters​

{
"read_mask": {
"paths": [
"reference_gas_price"
]
}
}

Example (grpcurl)​

grpcurl -H "x-api-key: YOUR_API_KEY" \
-d '{"read_mask":{"paths":["reference_gas_price"]}}' \
grpc.surflux.dev:443 \
sui.rpc.v2.LedgerService/GetEpoch
▶Run in Playground

Response​

The response structure is defined by the sui/rpc/v2/ledger_service.proto definition.

Response Fields​

FieldTypeDescription
epochEpochSee proto definition
info

For full field definitions, please refer to the Sui Protobuf definitions.